#ifndef SERIALPORTSETTINGSDIALOG_H
#define SERIALPORTSETTINGSDIALOG_H

#include <QDialog>
#include <ui_SerialPortSettingsDialog.h>

#include <QrfeReaderManager>

class SerialPortSettingsDialog : public QDialog
{
    Q_OBJECT

public:
    SerialPortSettingsDialog(QWidget *parent = 0);
    ~SerialPortSettingsDialog();

    void resetValues();

    QrfeReaderManager::SerialBaud	serialBaudrate();
    bool 							hwFlowControl();

public slots:
	int	exec ();
    virtual void done ( int r );

private:
    Ui::SerialPortSettingsDialogClass ui;

    QrfeReaderManager::SerialBaud	m_serialBaudrate;
    bool 							m_hwFlowControl;
};

#endif // SERIALPORTSETTINGSDIALOG_H
